TypeParser (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.type

## Class TypeParser

- java.lang.Object
- - org.codehaus.jackson.map.type.TypeParser

-     public class TypeParser
      extends Object

  Simple recursive-descent parser for parsing canonical `JavaType` representations and constructing type instances.
  Since:
    1.5
  Author:
    tatu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeParser(TypeFactory f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IllegalArgumentException` | `_problem(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens, String msg)`
    `protected Class<?>` | `findClass(String className, org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)`
    `JavaType` | `parse(String canonical)`
    `protected JavaType` | `parseType(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)`
    `protected List<JavaType>` | `parseTypes(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeParser

          public TypeParser(TypeFactory f)

  - ### Method Detail

    - #### parse

          public JavaType parse(String canonical)
                         throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### parseType

          protected JavaType parseType(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)
                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### parseTypes

          protected List<JavaType> parseTypes(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)
                                       throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### findClass

          protected Class<?> findClass(String className,
                           org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens)

    - #### _problem

          protected IllegalArgumentException _problem(org.codehaus.jackson.map.type.TypeParser.MyTokenizer tokens,
                                          String msg)